# Workspaces

A workspace can contain tasks or deals.

## Retrieves a Workspace resource.

> Retrieves a Workspace resource.

```json
{"openapi":"3.1.0","info":{"title":"RogerRoger API","version":"1.0.0"},"tags":[{"name":"Workspace","description":"Resource 'Workspace' operations."}],"servers":[{"url":"https://api.rogerroger.io","description":"API"}],"security":[{"BearerAuth":[]},{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","description":"Your API key, available from the dashboard","name":"X-API-KEY","in":"header"}},"schemas":{"Workspace.jsonld":{"allOf":[{"$ref":"#/components/schemas/HydraItemBaseSchema"},{"type":"object","properties":{"id":{"type":["string","null"]},"privacy":{"enum":["private","public"],"type":["string","null"]},"title":{"type":["string","null"]},"description":{"type":["string","null"]},"owner":{"type":["string","null"],"format":"iri-reference"},"createdAt":{"type":["string","null"],"format":"date-time"},"estimation":{"type":["boolean","null"]},"estimationType":{"type":["string","null"]},"currency":{"type":["string","null"]},"archivedAt":{"type":["string","null"],"format":"date-time"},"workspaceType":{"type":["string","null"]},"users":{"type":"array","items":{"type":"string","format":"iri-reference"}},"emoji":{"type":["string","null"]},"pinned":{"type":["boolean","null"]},"isPrivate":{"type":["boolean","null"]},"totalAutomations":{"type":["integer","null"]},"columns":{"anyOf":[{"type":"array","items":{"type":"unknown_type"}},{"type":"array","items":{"type":"unknown_type"}}]},"columnOrder":{"writeOnly":true,"anyOf":[{"type":"array","items":{"type":"string","format":"iri-reference"}},{"type":"array","items":{"type":"string","format":"iri-reference"}}]}},"required":["privacy","title","owner"]}]},"HydraItemBaseSchema":{"type":"object","properties":{"@context":{"oneOf":[{"type":"string"},{"type":"object","properties":{"@vocab":{"type":"string"},"hydra":{"type":"string","enum":["http://www.w3.org/ns/hydra/core#"]}},"required":["@vocab","hydra"],"additionalProperties":true}]},"@id":{"type":"string"},"@type":{"type":"string"}},"required":["@id","@type"]},"Workspace":{"type":"object","properties":{"id":{"type":["string","null"]},"privacy":{"enum":["private","public"],"type":["string","null"]},"title":{"type":["string","null"]},"description":{"type":["string","null"]},"owner":{"type":["string","null"],"format":"iri-reference"},"createdAt":{"type":["string","null"],"format":"date-time"},"estimation":{"type":["boolean","null"]},"estimationType":{"type":["string","null"]},"currency":{"type":["string","null"]},"archivedAt":{"type":["string","null"],"format":"date-time"},"workspaceType":{"type":["string","null"]},"users":{"type":"array","items":{"type":"string","format":"iri-reference"}},"emoji":{"type":["string","null"]},"pinned":{"type":["boolean","null"]},"isPrivate":{"type":["boolean","null"]},"totalAutomations":{"type":["integer","null"]},"columns":{"anyOf":[{"type":"array","items":{"type":"unknown_type"}},{"type":"array","items":{"type":"unknown_type"}}]},"columnOrder":{"writeOnly":true,"anyOf":[{"type":"array","items":{"type":"string","format":"iri-reference"}},{"type":"array","items":{"type":"string","format":"iri-reference"}}]}},"required":["privacy","title","owner"]},"Error.jsonld":{"allOf":[{"$ref":"#/components/schemas/HydraItemBaseSchema"},{"type":"object","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":"number","default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"},"description":{"readOnly":true,"type":["string","null"]}}}],"description":"A representation of common errors."},"Error":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":"number","default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"}}}}},"paths":{"/workspaces/{id}":{"get":{"operationId":"api_workspaces_id_get","tags":["Workspace"],"responses":{"200":{"description":"Workspace resource","content":{"application/ld+json":{"schema":{"$ref":"#/components/schemas/Workspace.jsonld"}},"application/json":{"schema":{"$ref":"#/components/schemas/Workspace"}}}},"403":{"description":"Forbidden","content":{"application/ld+json":{"schema":{"$ref":"#/components/schemas/Error.jsonld"}},"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}},"404":{"description":"Not found","content":{"application/ld+json":{"schema":{"$ref":"#/components/schemas/Error.jsonld"}},"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}}},"summary":"Retrieves a Workspace resource.","description":"Retrieves a Workspace resource.","parameters":[{"name":"id","in":"path","description":"Workspace identifier","required":true,"deprecated":false,"schema":{"type":"string"},"style":"simple","explode":false}]}}}}
```

## Retrieves the collection of Workspace resources.

> Retrieves the collection of Workspace resources.

```json
{"openapi":"3.1.0","info":{"title":"RogerRoger API","version":"1.0.0"},"tags":[{"name":"Workspace","description":"Resource 'Workspace' operations."}],"servers":[{"url":"https://api.rogerroger.io","description":"API"}],"security":[{"BearerAuth":[]},{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","description":"Your API key, available from the dashboard","name":"X-API-KEY","in":"header"}},"schemas":{"HydraCollectionBaseSchema":{"type":"object","required":["member"],"properties":{"member":{"type":"array","items":{"type":"object"}},"totalItems":{"type":"integer","minimum":0},"view":{"type":"object","properties":{"@id":{"type":"string","format":"iri-reference"},"@type":{"type":"string"},"first":{"type":"string","format":"iri-reference"},"last":{"type":"string","format":"iri-reference"},"previous":{"type":"string","format":"iri-reference"},"next":{"type":"string","format":"iri-reference"}}},"search":{"type":"object","properties":{"@type":{"type":"string"},"template":{"type":"string"},"variableRepresentation":{"type":"string"},"mapping":{"type":"array","items":{"type":"object","properties":{"@type":{"type":"string"},"variable":{"type":"string"},"property":{"type":["string","null"]},"required":{"type":"boolean"}}}}}}}},"Workspace.jsonld":{"allOf":[{"$ref":"#/components/schemas/HydraItemBaseSchema"},{"type":"object","properties":{"id":{"type":["string","null"]},"privacy":{"enum":["private","public"],"type":["string","null"]},"title":{"type":["string","null"]},"description":{"type":["string","null"]},"owner":{"type":["string","null"],"format":"iri-reference"},"createdAt":{"type":["string","null"],"format":"date-time"},"estimation":{"type":["boolean","null"]},"estimationType":{"type":["string","null"]},"currency":{"type":["string","null"]},"archivedAt":{"type":["string","null"],"format":"date-time"},"workspaceType":{"type":["string","null"]},"users":{"type":"array","items":{"type":"string","format":"iri-reference"}},"emoji":{"type":["string","null"]},"pinned":{"type":["boolean","null"]},"isPrivate":{"type":["boolean","null"]},"totalAutomations":{"type":["integer","null"]},"columns":{"anyOf":[{"type":"array","items":{"type":"unknown_type"}},{"type":"array","items":{"type":"unknown_type"}}]},"columnOrder":{"writeOnly":true,"anyOf":[{"type":"array","items":{"type":"string","format":"iri-reference"}},{"type":"array","items":{"type":"string","format":"iri-reference"}}]}},"required":["privacy","title","owner"]}]},"HydraItemBaseSchema":{"type":"object","properties":{"@context":{"oneOf":[{"type":"string"},{"type":"object","properties":{"@vocab":{"type":"string"},"hydra":{"type":"string","enum":["http://www.w3.org/ns/hydra/core#"]}},"required":["@vocab","hydra"],"additionalProperties":true}]},"@id":{"type":"string"},"@type":{"type":"string"}},"required":["@id","@type"]},"Workspace":{"type":"object","properties":{"id":{"type":["string","null"]},"privacy":{"enum":["private","public"],"type":["string","null"]},"title":{"type":["string","null"]},"description":{"type":["string","null"]},"owner":{"type":["string","null"],"format":"iri-reference"},"createdAt":{"type":["string","null"],"format":"date-time"},"estimation":{"type":["boolean","null"]},"estimationType":{"type":["string","null"]},"currency":{"type":["string","null"]},"archivedAt":{"type":["string","null"],"format":"date-time"},"workspaceType":{"type":["string","null"]},"users":{"type":"array","items":{"type":"string","format":"iri-reference"}},"emoji":{"type":["string","null"]},"pinned":{"type":["boolean","null"]},"isPrivate":{"type":["boolean","null"]},"totalAutomations":{"type":["integer","null"]},"columns":{"anyOf":[{"type":"array","items":{"type":"unknown_type"}},{"type":"array","items":{"type":"unknown_type"}}]},"columnOrder":{"writeOnly":true,"anyOf":[{"type":"array","items":{"type":"string","format":"iri-reference"}},{"type":"array","items":{"type":"string","format":"iri-reference"}}]}},"required":["privacy","title","owner"]},"Error.jsonld":{"allOf":[{"$ref":"#/components/schemas/HydraItemBaseSchema"},{"type":"object","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":"number","default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"},"description":{"readOnly":true,"type":["string","null"]}}}],"description":"A representation of common errors."},"Error":{"type":"object","description":"A representation of common errors.","properties":{"title":{"readOnly":true,"description":"A short, human-readable summary of the problem.","type":["string","null"]},"detail":{"readOnly":true,"description":"A human-readable explanation specific to this occurrence of the problem.","type":["string","null"]},"status":{"type":"number","default":400},"instance":{"readOnly":true,"description":"A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced.","type":["string","null"]},"type":{"readOnly":true,"description":"A URI reference that identifies the problem type","type":"string"}}}}},"paths":{"/workspaces":{"get":{"operationId":"api_workspaces_get_collection","tags":["Workspace"],"responses":{"200":{"description":"Workspace collection","content":{"application/ld+json":{"schema":{"type":"object","description":"Workspace.jsonld collection.","allOf":[{"$ref":"#/components/schemas/HydraCollectionBaseSchema"},{"type":"object","properties":{"member":{"type":"array","items":{"$ref":"#/components/schemas/Workspace.jsonld"}}}}]}},"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Workspace"}}}}},"403":{"description":"Forbidden","content":{"application/ld+json":{"schema":{"$ref":"#/components/schemas/Error.jsonld"}},"application/problem+json":{"schema":{"$ref":"#/components/schemas/Error"}},"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}},"links":{}}},"summary":"Retrieves the collection of Workspace resources.","description":"Retrieves the collection of Workspace resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"schema":{"type":"integer","default":1},"style":"form","explode":false},{"name":"itemsPerPage","in":"query","description":"The number of items per page","required":false,"deprecated":false,"schema":{"type":"integer","default":15,"minimum":0,"maximum":30},"style":"form","explode":false},{"name":"title","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"title[]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true},{"name":"description","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"description[]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true},{"name":"owner","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"owner[]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true},{"name":"createdAt[before]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"createdAt[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"createdAt[after]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"createdAt[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"archivedAt[before]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"archivedAt[strictly_before]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"archivedAt[after]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"archivedAt[strictly_after]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"string"},"style":"form","explode":false},{"name":"exists[archivedAt]","in":"query","description":"","required":false,"deprecated":false,"schema":{"type":"boolean"},"style":"form","explode":false}]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.rogerroger.io/workspaces/workspaces.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
